# 官方文档
# https://emulatorjs.org
# https://hub.docker.com/r/linuxserver/emulatorjs
# https://docs.linuxserver.io/images/docker-emulatorjs

---
version: "3"
# 最后编辑时间：2024-03-11
services:
  emulatorjs:
    image: linuxserver/emulatorjs:latest
    # 镜像地址
    container_name: emulatorjs
    # 容器名字
    hostname: emulatorjs
    # 主机名
    volumes:
      - /volume1/docker/emulatorjs:/config
      # 配置文件目录
      - /volume1/ROM:/data
      # ROM目录
    environment:
      - SUBFOLDER=/
      # 自定义容器根路径，默认即可
      - PUID=1000
      - PGID=100
      # 用户和用户组权限，ssh中使用“id 用户名”查看，用户组一般为100(users)
      # 第一个用户而言，群晖为1026，新绿联为1001，linux类系统为1000，后续用户均+1
      - UMASK=022
      # 默认创建新文件的权限，一般写022
      - TZ=Asia/Shanghai
      # 时区
    network_mode: bridge
    # 80端口被占用，不能用host，3000端口有别的镜像要用
    ports:
      - 13180:80/tcp
      # WebUI 端口
      - 4001:4001/tcp
      # IPFS 对等端口，如果您想参与 P2P 网络分发前端艺术品请将此转发到互联网
      - 3100:3000/tcp
      # Rom/艺术品管理界面，用于生成/管理配置文件和下载艺术品
    restart: unless-stopped
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3
